# KdepimLibs.cmake is generated by CMake from kdepimlibs/KdepimLibs.cmake.in

# set the kdepimlibs version number
set(KDEPIMLIBS_VERSION_MAJOR 4)
set(KDEPIMLIBS_VERSION_MINOR 14)
set(KDEPIMLIBS_VERSION_PATCH 3)
set(KDEPIMLIBS_VERSION       "${KDEPIMLIBS_VERSION_MAJOR}.${KDEPIMLIBS_VERSION_MINOR}.${KDEPIMLIBS_VERSION_PATCH}")

# set the directories
if(NOT KDEPIMLIBS_INSTALL_DIR)
   set(KDEPIMLIBS_INSTALL_DIR "/opt/local")
endif()

set(KDEPIMLIBS_DATA_DIR            "/opt/local/share/apps")
set(KDEPIMLIBS_DBUS_INTERFACES_DIR "/opt/local/share/dbus-1/interfaces")
set(KDEPIMLIBS_DBUS_SERVICES_DIR   "/opt/local/share/dbus-1/services")
set(KDEPIMLIBS_INCLUDE_DIR         "/opt/local/include/KDE4")
set(KDEPIMLIBS_INCLUDE_DIRS        "/opt/local/include/KDE4" "/opt/local/include/KDE4/KDE")
set(KDEPIMLIBS_LIB_DIR             "/opt/local/lib")
set(KDEPIMLIBS_BIN_DIR             "/opt/local/bin")
set(KDEPIMLIBS_LIBEXEC_DIR         "/opt/local/lib/kde4/libexec")
set(KDEPIMLIBS_SBIN_DIR            "/opt/local/sbin")
set(KDEPIMLIBS_HTML_DIR            "/opt/local/share/doc/HTML")
set(KDEPIMLIBS_CONFIG_DIR          "/opt/local/share/config")
set(KDEPIMLIBS_ICON_DIR            "/opt/local/share/icons")
set(KDEPIMLIBS_KCFG_DIR            "/opt/local/share/config.kcfg")
set(KDEPIMLIBS_LOCALE_DIR          "/opt/local/share/locale")
set(KDEPIMLIBS_MIME_DIR            "/opt/local/share/mimelnk")
set(KDEPIMLIBS_SOUND_DIR           "/opt/local/share/sounds")
set(KDEPIMLIBS_TEMPLATES_DIR       "/opt/local/share/templates")
set(KDEPIMLIBS_KCONF_UPDATE_DIR    "/opt/local/share/apps/kconf_update")
set(KDEPIMLIBS_AUTOSTART_DIR       "/opt/local/share/autostart")
set(KDEPIMLIBS_XDG_APPS_DIR        "/opt/local/share/applications/kde4")
set(KDEPIMLIBS_XDG_DIRECTORY_DIR   "/opt/local/share/desktop-directories")
set(KDEPIMLIBS_SYSCONF_DIR         "/opt/local/etc")
set(KDEPIMLIBS_MAN_DIR             "/opt/local/share/man")
set(KDEPIMLIBS_INFO_DIR            "/opt/local/share/info")
set(KDEPIMLIBS_SERVICES_DIR        "/opt/local/share/kde4/services")
set(KDEPIMLIBS_SERVICETYPES_DIR    "/opt/local/share/kde4/servicetypes")

# These two are just for compatibility with KDE 4.[01]
set(KDEPIMLIBS4_DBUS_INTERFACES_DIR "${KDEPIMLIBS_DBUS_INTERFACES_DIR}")
set(KDEPIMLIBS4_DBUS_SERVICES_DIR   "${KDEPIMLIBS_DBUS_SERVICES_DIR}")

set(CMAKE_MODULE_PATH "${KDEPIMLIBS_DATA_DIR}/cmake/modules" "${CMAKE_MODULE_PATH}" )

# the exports file exports
set(KDEPIMLIBS_TARGET_PREFIX KDEPIMLibs__)

set(KDEPIMLIBS_NO_KRESOURCES FALSE)
set(KDEPIMLIBS_NO_KCAL FALSE)
set(KALARM_USE_KRESOURCES OFF)

# Make sure to load the exported targets only once
# For the rest of this script it doesn't matter that much
if(NOT TARGET KDEPIMLibs__kabc)
   get_filename_component(_currentDir "${CMAKE_CURRENT_LIST_FILE}" PATH)
   include("${_currentDir}/KDEPimLibsLibraryTargetsWithPrefix.cmake")
endif()

macro(_KDEPIMLibs_Set_Lib_Vars _prefix _lib)
  set(KDEPIMLIBS_${_prefix}_LIBRARY ${KDEPIMLIBS_TARGET_PREFIX}${_lib})
  set(KDEPIMLIBS_${_prefix}_LIBS    ${KDEPIMLIBS_TARGET_PREFIX}${_lib})
  # these two are set for compatibility with KDE 4.[01], Alex:
  set(KDE4_${_prefix}_LIBRARY       ${KDEPIMLIBS_TARGET_PREFIX}${_lib})
  set(KDE4_${_prefix}_LIBS          ${KDEPIMLIBS_TARGET_PREFIX}${_lib})
endmacro(_KDEPIMLibs_Set_Lib_Vars)


_kdepimlibs_set_lib_vars(AKONADI        akonadi-kde)
_kdepimlibs_set_lib_vars(AKONADI_CALENDAR  akonadi-calendar)
_kdepimlibs_set_lib_vars(AKONADI_CONTACT  akonadi-contact)
_kdepimlibs_set_lib_vars(AKONADI_KABC   akonadi-kabc)
_kdepimlibs_set_lib_vars(AKONADI_KMIME  akonadi-kmime)
_kdepimlibs_set_lib_vars(AKONADI_NOTES  akonadi-notes)
_kdepimlibs_set_lib_vars(AKONADI_SOCIALUTILS  akonadi-socialutils)
_kdepimlibs_set_lib_vars(AKONADI_XML    akonadi-xml)
_kdepimlibs_set_lib_vars(GPGMEPP        gpgmepp)
_kdepimlibs_set_lib_vars(KABC           kabc)
_kdepimlibs_set_lib_vars(KALARMCAL      kalarmcal)
if (NOT KDEPIMLIBS_NO_KCAL)
  _kdepimlibs_set_lib_vars(AKONADI_KCAL   akonadi-kcal)
  _kdepimlibs_set_lib_vars(KBLOG          kblog)
  _kdepimlibs_set_lib_vars(KCAL           kcal)
endif()
_kdepimlibs_set_lib_vars(KCALCORE       kcalcore)
_kdepimlibs_set_lib_vars(KCALUTILS      kcalutils)
_kdepimlibs_set_lib_vars(KHOLIDAYS      kholidays)
_kdepimlibs_set_lib_vars(KIMAP          kimap)
_kdepimlibs_set_lib_vars(KLDAP          kldap)
_kdepimlibs_set_lib_vars(KMBOX          kmbox)
_kdepimlibs_set_lib_vars(KMIME          kmime)
_kdepimlibs_set_lib_vars(KONTACTINTERFACE kontactinterface)
_kdepimlibs_set_lib_vars(KPIMIDENTITIES kpimidentities)
_kdepimlibs_set_lib_vars(KPIMTEXTEDIT   kpimtextedit)
_kdepimlibs_set_lib_vars(KPIMUTILS      kpimutils)
if (NOT KDEPIMLIBS_NO_KRESOURCES)
  _kdepimlibs_set_lib_vars(KRESOURCES     kresources)
endif()
_kdepimlibs_set_lib_vars(KTNEF          ktnef)
_kdepimlibs_set_lib_vars(KXMLRPCCLIENT  kxmlrpcclient)
_kdepimlibs_set_lib_vars(MAILTRANSPORT  mailtransport)
_kdepimlibs_set_lib_vars(MICROBLOG      microblog)
_kdepimlibs_set_lib_vars(QGPGME         qgpgme)
_kdepimlibs_set_lib_vars(SYNDICATION    syndication)
